Get all customer profile specifications

get

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/customerProfileSpecification

Returns a list of customer profile specifications that match the search criteria.

Request

Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The list of customer profile specifications was returned successfully.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : CustomerProfileSpecificationOracle
Type: object
Title: CustomerProfileSpecificationOracle
The Customer Profile Specification resource represents a set of customer profile characteristics and relationships.
Show Source
Nested Schema : custProfSpecCharacteristic
Type: array
A list of cust prof specification characteristics associated with the customer profile specification.
Show Source
  • CustProfSpecCharacteristicOracle
    Title: CustProfSpecCharacteristicOracle
    A list of customer profile spec characteristics (CustomerProfileSpecificationCharacteristic [*]). This class represents the key features of this customer profile specification.
Nested Schema : custProfSpecificationRelationship
Type: array
A list of cust prof specification relationships associated with the customer profile specification.
Show Source
  • CustProfSpecRelationshipOracle
    Title: CustProfSpecRelationshipOracle
    A list of usage spec relationships (CustomerProfileSpecificationRelationship [*]). A list of customer profile specifications related to this specification.
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : relatedParty
Type: array
A list of related parties associated with the customer profile specification.
Show Source
  • RelatedParty
    Title: RelatedParty
    The relatedParty reference. A related party defines party or party role linked to a specific entity.
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Nested Schema : CustProfSpecCharacteristicOracle
Type: object
Title: CustProfSpecCharacteristicOracle
A list of customer profile spec characteristics (CustomerProfileSpecificationCharacteristic [*]). This class represents the key features of this customer profile specification.
Show Source
Nested Schema : custProfSpecCharacteristicValue
Type: array
A list of cust prof specification characteristic values associated with the cust prof specification characteristic.
Show Source
  • CustProfSpecCharacteristicValueOracle
    Title: CustProfSpecCharacteristicValueOracle
    A list of customer profile spec characteristic values A CustomerProfileSpecificationCharacteristicValue object defines a set of attributes, each of which can be assigned to a corresponding set of attributes in a SpecCharacteristic object. The values of the attributes in the SpecCharacteristicValue object describe the values of the attributes that a corresponding SpecCharacteristic object can take on.
Nested Schema : custProfSpecCharRelationship
Type: array
A list of cust prof specification characteristic relationships associated with the cust prof specification characteristic.
Show Source
  • CustProfSpecCharRelationshipOracle
    Title: CustProfSpecCharRelationshipOracle
    A list of customer profile spec char relationships. An aggregation, migration, substitution, dependency or exclusivity relationship between/among Specification Characteristics.
Nested Schema : TimePeriodOracle
Type: object
Title: TimePeriodOracle
The validity period of the related party.
Show Source
Nested Schema : CustProfSpecCharacteristicValueOracle
Type: object
Title: CustProfSpecCharacteristicValueOracle
A list of customer profile spec characteristic values A CustomerProfileSpecificationCharacteristicValue object defines a set of attributes, each of which can be assigned to a corresponding set of attributes in a SpecCharacteristic object. The values of the attributes in the SpecCharacteristicValue object describe the values of the attributes that a corresponding SpecCharacteristic object can take on.
Show Source
  • The base type of the cust prof specification characteristic value.
  • The URI of the schema that defines the cust prof specification characteristic value.
  • The class type of the cust prof specification characteristic value.
  • Whether the cust prof specification characteristic value is default.
  • Allowed Values: [ "OPEN", "CLOSED", "CLOSED_BOTTOM", "CLOSED_TOP" ]
    A string. An indicator that specifies the inclusion or exclusion of the valueFrom and valueTo attributes. If applicable, possible values are 'open', 'closed', 'closedBottom' and 'closedTop'. Valid values are OPEN, CLOSED, CLOSED_BOTTOM, and CLOSED_TOP.
  • A string. A regular expression constraint for given value.
  • A string. A length, surface, volume, dry measure, liquid measure, money, weight, time, and the like. In general, a determinate quantity or magnitude of the kind designated, taken as a standard of comparison for others of the same kind, in assigning to them numerical values, as 1 foot, 1 yard, 1 mile, 1 square foot.
  • TimePeriodOracle
    Title: TimePeriodOracle
    The validity period of the related party.
  • value
    A discrete value that the characteristic can take on, or the actual value of the characteristic.
  • An integer. The low range value that a characteristic can take on.
  • An integer. The upper range value that a characteristic can take on.
  • Allowed Values: [ "STRING", "NUMBER", "OBJECT", "ARRAY", "DECIMAL", "BOOLEAN", "DATE", "DATETIME" ]
    The type or classification of the cust prof specification characteristic value. Valid values are STRING, NUMBER, OBJECT, ARRAY, DECIMAL, BOOLEAN, DATE, and DATETIME.
Nested Schema : value
A discrete value that the characteristic can take on, or the actual value of the characteristic.
Match One Schema
Show Source
Nested Schema : value-oneOf[1]
Type: object
Nested Schema : value-oneOf[4]
Type: array
Nested Schema : CustProfSpecCharRelationshipOracle
Type: object
Title: CustProfSpecCharRelationshipOracle
A list of customer profile spec char relationships. An aggregation, migration, substitution, dependency or exclusivity relationship between/among Specification Characteristics.
Show Source
Nested Schema : CustProfSpecRelationshipOracle
Type: object
Title: CustProfSpecRelationshipOracle
A list of usage spec relationships (CustomerProfileSpecificationRelationship [*]). A list of customer profile specifications related to this specification.
Show Source
Nested Schema : RelatedParty
Type: object
Title: RelatedParty
The relatedParty reference. A related party defines party or party role linked to a specific entity.
Show Source
Nested Schema : partyOrPartyRole
Type: array
A list of party or party roles associated with the related party reference or party role reference.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to get all customer profile specifications by submitting a GET request on the REST resource using cURL.

cURL Command

curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/customerProfileSpecification

Example of Response Body

The following shows the contents of the response body in JSON format.

[
    {
        "id": "CustomerDetailsSpec",
        "name": "Customer Details Specification",
        "description": "Linear Scanner Category",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/customerProfileSpecification/CustomerDetailsSpec",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "created": "2025-02-19T13:30:45.000Z",
        "createdBy": "booth",
        "lastUpdate": "2025-03-10T09:48:49.138Z",
        "lastUpdatedBy": "booth",
        "@type": "CustomerProfileSpecificationOracle",
        "validFor": {
            "startDateTime": "2012-08-09T00:00:00.000Z",
            "endDateTime": "2028-08-09T00:00:00.000Z"
        },
        "project": {
            "id": "DBE_RI_ProdModel_PreSeed_PSP",
            "name": "DBE RI Product Model Preseed",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/DBE_RI_ProdModel_PreSeed_PSP",
            "version": "1.0",
            "@referredType": "ProjectOracle"
        },
        "modificationNumber": 2,
        "versionState": 0,
        "custProfSpecCharacteristic": [
            {
                "name": "Credit Rating",
                "description": "Credit Rating of Customer",
                "valueType": "STRING",
                "@type": "CharacteristicSpecificationOracle",
                "configurable": false,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-01-18T00:00:00.000Z",
                    "endDateTime": "2021-02-20T16:42:23.000Z"
                },
                "custProfSpecCharacteristicValue": [
                    {
                        "value": "",
                        "rangeInterval": "CLOSED",
                        "valueTo": "719",
                        "valueFrom": "650",
                        "valueType": "STRING",
                        "isDefault": true,
                        "validFor": {
                            "startDateTime": "2020-01-18T00:00:00.000Z",
                            "endDateTime": "2021-02-20T16:42:23.000Z"
                        },
                        "@type": "StringCharacteristicValueSpecificationOracle"
                    },
                    {
                        "value": "",
                        "rangeInterval": "CLOSED",
                        "valueTo": "850",
                        "valueFrom": "720",
                        "valueType": "STRING",
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-01-18T00:00:00.000Z",
                            "endDateTime": "2021-02-20T16:42:23.000Z"
                        },
                        "@type": "StringCharacteristicValueSpecificationOracle"
                    }
                ]
            },
            {
                "name": "Loyalty Tier",
                "description": "Loyalty Tier of Customer",
                "valueType": "STRING",
                "@type": "CharacteristicSpecificationOracle",
                "configurable": false,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-01-18T00:00:00.000Z",
                    "endDateTime": "2021-02-20T16:42:23.000Z"
                },
                "custProfSpecCharacteristicValue": [
                    {
                        "value": "Platinum",
                        "valueType": "STRING",
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-01-18T00:00:00.000Z",
                            "endDateTime": "2021-02-20T16:42:23.000Z"
                        },
                        "@type": "StringCharacteristicValueSpecificationOracle"
                    },
                    {
                        "value": "Gold",
                        "valueType": "STRING",
                        "isDefault": true,
                        "validFor": {
                            "startDateTime": "2020-01-18T00:00:00.000Z",
                            "endDateTime": "2021-02-20T16:42:23.000Z"
                        },
                        "@type": "StringCharacteristicValueSpecificationOracle"
                    }
                ]
            }
        ]
    },
    {
        "id": "CustomerProfileSpecJ6",
        "name": "Customer Profile SpecJ6",
        "description": "Desc for customer profile Spec",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/customerProfileSpecification/CustomerProfileSpecJ6",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "created": "2025-01-06T14:41:47.000Z",
        "createdBy": "booth",
        "lastUpdate": "2025-01-06T14:41:47.285Z",
        "lastUpdatedBy": "booth",
        "@type": "CustomerProfileSpecificationOracle",
        "validFor": {
            "startDateTime": "2010-06-19T16:42:23.000Z"
        },
        "project": {
            "id": "P-1608753254-1735976772005",
            "name": "init4Jan",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/P-1608753254-1735976772005",
            "version": "1.0",
            "@referredType": "ProjectOracle"
        },
        "modificationNumber": 1,
        "versionState": 0,
        "custProfSpecCharacteristic": [
            {
                "name": "customerType",
                "description": "customerType",
                "valueType": "STRING",
                "@type": "CharacteristicSpecificationOracle",
                "extensible": true,
                "configurable": true,
                "isUnique": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2010-06-19T16:42:23.000Z"
                },
                "custProfSpecCharacteristicValue": [
                    {
                        "value": "Silver",
                        "valueType": "STRING",
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2010-06-19T16:42:23.000Z"
                        },
                        "@type": "StringCharacteristicValueSpecificationOracle"
                    },
                    {
                        "value": "*",
                        "valueType": "STRING",
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2010-06-19T16:42:23.000Z"
                        },
                        "@type": "StringCharacteristicValueSpecificationOracle"
                    },
                    {
                        "value": "Gold",
                        "valueType": "STRING",
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2010-06-19T16:42:23.000Z"
                        },
                        "@type": "StringCharacteristicValueSpecificationOracle"
                    }
                ]
            }
        ]
    }
]
Back to Top